Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_ThreadpoolPolicy Class Reference

RTCORBA::ThreadpoolPolicy implementation. More...

`#include <RT_Policy_i.h>`

Inheritance diagram for TAO_ThreadpoolPolicy

[legend]
Collaboration diagram for TAO_ThreadpoolPolicy:

[legend]
List of all members.

## Public Methods
| TAO_ThreadpoolPolicy (RTCORBA::ThreadpoolId id)
| Constructor.
| TAO_ThreadpoolPolicy (const TAO_ThreadpoolPolicy &rhs)
| Copy constructor.
virtual RTCORBA::ThreadpoolId | threadpool (CORBA::Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException)
virtual CORBA::PolicyType | policy_type (CORBA::Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException)
virtual CORBA::Policy_ptr | copy (CORBA::Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException)
virtual void | destroy (CORBA::Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException)
virtual TAO_Cached_Policy_Type | _tao_cached_type (void) const
virtual TAO_Policy_Scope | _tao_scope (void) const
## Protected Methods
virtual | ~TAO_ThreadpoolPolicy (void)
| Protected destructor to enforce proper memory management of this reference counted object.
## Private Attributes
RTCORBA::ThreadpoolId | id_
| Attribute.

## Detailed Description

RTCORBA::ThreadpoolPolicy implementation.

This policy controls which threadpool is associated with a POA.

## Constructor & Destructor Documentation

TAO_ThreadpoolPolicy::TAO_ThreadpoolPolicy ( | RTCORBA::ThreadpoolId id )

| Constructor.

TAO_ThreadpoolPolicy::TAO_ThreadpoolPolicy ( | const TAO_ThreadpoolPolicy & rhs )

| Copy constructor.

TAO_ThreadpoolPolicy::~TAO_ThreadpoolPolicy ( | void )`[protected, virtual]`

| Protected destructor to enforce proper memory management of this reference counted object.

## Member Function Documentation

TAO_Cached_Policy_Type TAO_ThreadpoolPolicy::_tao_cached_type ( | void ) const`[virtual]`

TAO_Policy_Scope TAO_ThreadpoolPolicy::_tao_scope ( | void ) const`[virtual]`

CORBA::Policy_ptr TAO_ThreadpoolPolicy::copy ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)`[virtual]`

void TAO_ThreadpoolPolicy::destroy ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)`[virtual]`

CORBA::PolicyType TAO_ThreadpoolPolicy::policy_type ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)`[virtual]`

RTCORBA::ThreadpoolId TAO_ThreadpoolPolicy::threadpool ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)`[virtual]`

## Member Data Documentation

RTCORBA::ThreadpoolId TAO_ThreadpoolPolicy::id_`[private]`

| Attribute.

The documentation for this class was generated from the following files:

- RT_Policy_i.h
- RT_Policy_i.cpp